Bug 1021041 - Scaled gears are being left behind
Scaled gears are being left behind
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-10-18 16:28 EDT by Matt Woodson
Modified: 2015-05-14 20:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-23 22:25:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Woodson 2013-10-18 16:28:13 EDT
Description of problem:

It appears that gears that are part of scaled apps are not being cleaned up when the app is removed.  We are seeing this quite often in our environment, showing up in the accept-node scripts

I am unable to tell if this is broker or node code that needs to be fixed.

This is the error we are seeing in oo-accept-node:

FAIL: directory 5260fc635973ca008d0002dd doesn't have a cartridge directory

Version-Release number of selected component (if applicable):


How reproducible:

Not sure

Steps to Reproduce:

Do not know steps to reproduce, but we have seen this issue quite a bit in our prod online environment.

please follow up with ops team for info on diagnosing this.
Comment 1 Abhishek Gupta 2013-10-18 19:44:44 EDT
Potential fix --> https://github.com/openshift/origin-server/pull/3939
Comment 2 openshift-github-bot 2013-10-21 22:52:27 EDT
Commit pushed to master at https://github.com/openshift/origin-server

Fix for bug 1020440, 1021041, 1021462, 1021467, and a typo
Comment 4 Jianwei Hou 2013-10-23 06:58:37 EDT
Unable to reproduce this issue on devenv-stage_528, not sure how this happened, but everything works fine in today's test. Mark this bug as verified.

Note You need to log in before you can comment on or make changes to this bug.